# Automated Nginx reverse Proxy for Docker Webservices
This image attaches to the docker event queue and creates/removes proxy settings in the contained nginx.

## Starting the container
The container is started as:
`docker run --name auto_proxy -d -v /var/run/docker.sock:/var/run/docker.sock -p 80:80 docker_nginx_auto_proxy`
The socket must be handed in so the container can get the events.

## How it works
Containers that should be proxied neet meta information in the environment variable *PROXY_DATA* available.
This variable must be of the following format:
`PROXY_DATA=server_name:test.com,port:80`

The following options are possible:

* **server_name**(required) the name of the virtual host
* **port**(optional, defaults to 80) the port on the target container
* **ip**(optional, defaults to listen on all IPs) the IP on which the proxy should listen. 
* **location**(optional) if the proxied web application is not running on the /-path
